<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Post Type Functions Start                                                     */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/

                                                          

add_action( 'init', 'create_post_types' );
function create_post_types() {
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Slider Post Type Starts                                                              */
 
	$labels = array(
        'name' => _x('Slider Items', 'post type general name','side'),
		'singular_name' => _x('Slider Item', 'post type singular name','side'),
		'add_new' => _x('Add New', 'Slider Item','side'),
		'add_new_item' => __('Add New Slider Item','side'),
		'edit_item' => __('Edit Slider Item','side'),
		'new_item' => __('New Slider Item','side'),
		'view_item' => __('View Slider Item','side'),
		'search_items' => __('Search Slider Items','side'),
		'not_found' =>  __('No Slider Items found','side'),
		'not_found_in_trash' => __('No Slider Items found in Trash','side'),
		'parent_item_colon' => ''
	);

	$supports = array('title', 'excerpt', 'revisions', 'thumbnail');

	register_post_type( 'slider', array(
		'labels' => $labels,
		'public' => true,
		'supports' => $supports,
		'has_archive' => true,
		'rewrite' => array('slug' => 'slider'),
		'exclude_from_search' => true,
		'menu_position' => 100
		)
	);
  
/*///////////////// Slider Post Type Ends                                                                */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/


/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Portfolio Post Type Starts                                                           */
 
	$labels = array(
		'name' => _x('Portfolio Items', 'post type general name','side'),
    	'singular_name' => _x('Portfolio Item', 'post type singular name','side'),
    	'add_new' => _x('Add New', 'Portfolio Item','side'),
		'add_new_item' => __('Add New Portfolio Item','side'),
		'edit_item' => __('Edit Portfolio Item','side'),
		'new_item' => __('New Portfolio Item','side'),
		'view_item' => __('View Portfolio Item','side'),
		'search_items' => __('Search Portfolio Items','side'),
		'not_found' =>  __('No Portfolio Items found','side'),
		'not_found_in_trash' => __('No Portfolio Items found in Trash','side'),
		'parent_item_colon' => ''
	);

	$supports = array('title', 'revisions', 'thumbnail');

	register_post_type( 'portfolio', array(
		'labels' => $labels,
		'public' => true,
		'supports' => $supports,
		'has_archive' => true,
		'rewrite' => array('slug' => 'portfolio'),
		'exclude_from_search' => true,
		'menu_position' => 100
		)
	);
  
/*///////////////// Portfolio Post Type Ends                                                             */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
}



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Post Type Functions End                                                       */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>