<?php
/**
 * Template Name: Contact Page
 */
?>
<?php get_header(); ?>

<?php while ( have_posts() ) : the_post(); ?>
    <div class="container">
    <!-- page content starts -->
    <?php the_content(); ?>
    <!-- page content ends -->
    </div>
<?php endwhile;?>

<?php if($options['hideContactForm'] == "false" || $options['hideContactForm'] == '' ) {?>
<!-- contact form starts -->
<div class="decoration"></div>
<div class="container">
<div class="contactForm" id="contactForm">
<div id="successMessage">
<p><?php echo($options['contactSuccess']); ?></p>
</div>
  <form id="contact" action="<?php the_permalink(); ?>">
    <fieldset>
      <div class="formFieldWrap">
          <label for="contactName" id="name_label">Name (required)</label>
          <span class="error" id="nameError"><?php echo $options['contactNameError'] ?></span>
          <input type="text" name="contactName" id="contactName" size="30" value="" class="text-input" />
      </div>
      <div class="formFieldWrap">
          <label for="contactEmail" id="email_label">Email (required)</label>
          <span class="error" id="emailError"><?php echo $options['contactEmailError'] ?></span> <span class="error" id="emailError2"><?php echo $options['contactInvalidEmailError'] ?></span>
          <input type="text" name="contactEmail" id="contactEmail" size="30" value="" class="text-input" />
      </div>
      <div class="formFieldWrap">
          <label for="contactMessage" id="message_label">Message</label>
          <span class="error" id="messageError"><?php echo $options['contactMessageError'] ?></span>
          <textarea  name="contactMessage" id="contactMessage" class="text-input"></textarea>
          <input type="hidden" id="ready" name="ready" value="true" />
      </div>
      <p class="submitMessageWrap">
        <input type="submit" name="submitMessage" class="full-screen-button contactButton button grey" id="contactSubmitBtn" value="Send"/>
      </p>
    </fieldset>
  </form>
</div>
</div>
<!-- contact form ends -->
<?php 

    // variables start
	$name="";
	$email="";
	$message="";
	$ready="";
    error_reporting(E_ALL & ~E_NOTICE);
	
	$name =  trim($_POST['contactName']);
	$email =  trim($_POST['contactEmail']);
	$message =  trim($_POST['contactMessage']);
	$ready = trim($_POST['ready']);
	
	error_reporting(E_ALL);
    // variables start

    $myEmail = $options['contactEmail'];
	
	if($ready == "true"){
	$todayis = date("l, F j, Y, g:i a") ;
	$subject = "Message From: $name";	
	$message = "<strong>From:</strong> $name <br/><br/><strong>Message:</strong> $message";
	
	$headers .= 'From: '. $name . '<' . $email . '>' . "\r\n";
	$headers .= 'Reply-To: ' . $email . "\r\n";
	
	$headers .= 'MIME-Version: 1.0' . "\r\n";
    $headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
	
	//sending data
	mail($myEmail, $subject, $message, $headers);
	//sending data
	};


}; ?>


<?php get_footer(); ?>