<?php get_header(); ?>

<ul class="categoriesList">
<?php wp_list_categories( array('orderby' => 'name', 'title_li'=>'', 'hide_empty'=>'true')); ?> 
</ul>
<div class="decoration first-decoration"></div>
<!-- posts start -->
<div class="postsWrap">
	<?php
	while ( have_posts() ) : the_post(); ?>
    
        <!-- post starts -->
        <div <?php post_class("smallPostWrap");?>>
        
            <?php if ( has_post_thumbnail()) { ?>       
            <!-- small post thumbnail wrap starts -->
            <div class="blogPostThumbWrap">
                <a href="<?php the_permalink()?>" class="blogPostThumbLink">
                    <?php the_post_thumbnail('blog-thumb-small', array('title' => "")); ?>
                </a>
            </div>
            <!-- small post thumbnail wrap ends -->
            <?php }; ?>
            
            <!-- post content starts -->
            <div class="smallPostContentWrap">
                <!-- post title starts -->
                <h2 class="smallPostTitle"><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
                <!-- post title ends -->
                
                <!-- post content starts -->
                <?php if ($options['blogShowExcerpt'] == 'true' && get_the_excerpt() != ''){ 
						  the_excerpt();
					  } else {   
						  global $more; $more = 0;
						  the_content('',true,'');
					  }; ?>
                <a href="<?php the_permalink();?>" class="readMore button grey"><?php _e('read more', 'ceevee'); ?></a>
                <!-- post content ends -->
                
            </div>
            <!-- post content ends -->
    
        </div>
        <!-- post ends -->
    
    <?php endwhile;?>
    
    <?php wp_reset_query(); ?>
     
</div>
<!-- posts end -->
<!-- page numbers start -->
<?php custom_pagination('',$options['pageNumbersRange']); ?>
<!-- page numbers end -->

<?php get_footer(); ?>