/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Shortcodes Functions Start                                                           */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/

(function() { 
	// page break column starts	  
    tinymce.create('tinymce.plugins.pagebreak', {  
        init : function(ed, url) {  
            ed.addButton('pagebreak', {  
                title : 'Add a page break.',  
                image : url+'/../images/pagebreak.png',  
                onclick : function() {  
                     ed.selection.setContent('[pagebreak style=""]');  
  
                }  
            });  
        },  
        createControl : function(n, cm) {  
            return null;  
        },  
    });  
    tinymce.PluginManager.add('pagebreak', tinymce.plugins.pagebreak); 
	// pagebreak column ends	 
	
	
	// alertbox column starts	  
    tinymce.create('tinymce.plugins.alertbox', {  
        init : function(ed, url) {  
            ed.addButton('alertbox', {  
                title : 'Add an alert box.',  
                image : url+'/../images/alertbox.png',  
                onclick : function() {  
                     ed.selection.setContent('[alertbox style=""]' + ed.selection.getContent() + '[/alertbox]');  
  
                }  
            });  
        },  
        createControl : function(n, cm) {  
            return null;  
        },  
    });  
    tinymce.PluginManager.add('alertbox', tinymce.plugins.alertbox); 
	// alertbox column ends	
	
	
	// button starts	  
    tinymce.create('tinymce.plugins.button', {  
        init : function(ed, url) {  
            ed.addButton('button', {  
                title : 'Add a button.',  
                image : url+'/../images/button.png',  
                onclick : function() {  
                     ed.selection.setContent('[button style="" size="" to=""]' + ed.selection.getContent() + '[/button]');  
  
                }  
            });  
        },  
        createControl : function(n, cm) {  
            return null;  
        },  
    });  
    tinymce.PluginManager.add('button', tinymce.plugins.button); 
	// button ends	
	
})();  

/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Shortcodes Functions End                                                             */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/