<?php get_header(); ?>

<!-- page content wrap starts -->
<div class="pageContentWrap">
    
    <?php while ( have_posts() ) : the_post(); ?>
    <!-- post wrap starts -->
    <div <?php post_class('postWrap'); ?>>
        <!-- page title starts -->
        <h2 class="pageTitle"><?php the_title(); ?></h2>
        <!-- page title ends -->
        
        <!-- small post info starts -->
        <div class="postInfoWrap"> 
            <span class="postAuthor">posted by <?php the_author_posts_link(); ?></span> 
            <span class="postDate"> on <?php the_time(get_option('date_format')); ?></span> 
            <span class="postComments"> with <a href="<?php the_permalink();?>#respond"><?php comments_number( '0 comments', '1 comment', '% comments' ); ?></a></span> 
        </div>
        <!-- small post info ends -->
        <div class="decoration first-decoration"></div>
    
        <div class="container">
             <?php the_content(); ?>
        </div>
    </div>
    <!-- post wrap ends -->
    <?php endwhile; wp_reset_query();?>
    
    <!-- post comments start -->
	<?php comments_template( '', true ); ?>
	<!-- post comments end  -->
    
</div>
<!-- page content wrap ends -->
    
<?php get_footer(); ?>